Bug 857878 - Update ipmitool to support getsysinfo and setsysinfo
Update ipmitool to support getsysinfo and setsysinfo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipmitool (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ales Ledvinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 880545
  Show dependency treegraph
 
Reported: 2012-09-17 07:09 EDT by Charles Rose
Modified: 2016-09-20 00:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:05:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipmitool getsysinfo and setsysinfo (55.61 KB, patch)
2012-09-17 07:10 EDT, Charles Rose
no flags Details | Diff

  None (edit)
Description Charles Rose 2012-09-17 07:09:30 EDT
Description of problem:
Update ipmitool to support setting OS name and Hostname on BMC:

Attached patch adds getsysinfo and setsysinfo to ipmitool (in upstream CVS).

Version-Release number of selected component (if applicable):
ipmitool-1.8.12

This adds functionality to ipmitool to set and get osname, primary_os_name and system_name values.

Usage:
ipmitool mc setsysinfo os_name "Fedora 18"
ipmitool mc setsysinfo primary_os_name "Fedora 18"
ipmitool mc setsysinfo system_name "server1.example.org"
Comment 1 Charles Rose 2012-09-17 07:10:37 EDT
Created attachment 613630 [details]
ipmitool getsysinfo and setsysinfo

Author: Jordan_Hargrave@Dell.com
Comment 2 Ales Ledvinka 2012-10-17 11:45:39 EDT
rawhide, f18
Comment 3 Fedora Update System 2012-10-17 11:57:34 EDT
ipmitool-1.8.12-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ipmitool-1.8.12-4.fc18
Comment 4 Fedora Update System 2012-10-17 13:35:52 EDT
Package ipmitool-1.8.12-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ipmitool-1.8.12-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16327/ipmitool-1.8.12-4.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-10-18 04:07:57 EDT
ipmitool-1.8.12-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ipmitool-1.8.12-5.fc18
Comment 6 Charles Rose 2012-10-19 02:05:57 EDT
(In reply to comment #5)
> ipmitool-1.8.12-5.fc18 has been submitted as an update for Fedora 18.
> https://admin.fedoraproject.org/updates/ipmitool-1.8.12-5.fc18

I have proposed a start up script upstream to can use these features in ipmitool to set the system's hostname, OS string and get the BMC's IP and expose it in a /run/bmc-info file.

I have a systemd unit for F18 that I am testing with.

It would be possible to pull the start-up script into ipmitool as well after upstream acceptance?
Comment 7 Charles Rose 2012-10-19 02:08:43 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > ipmitool-1.8.12-5.fc18 has been submitted as an update for Fedora 18.
> > https://admin.fedoraproject.org/updates/ipmitool-1.8.12-5.fc18
> 
> I have proposed a start up script upstream to can use these features in
> ipmitool to set the system's hostname, OS string and get the BMC's IP and
> expose it in a /run/bmc-info file.

http://sourceforge.net/mailarchive/message.php?msg_id=29982028

> 
> I have a systemd unit for F18 that I am testing with.
> 
> It would be possible to pull the start-up script into ipmitool as well after
> upstream acceptance?
Comment 8 Fedora Update System 2012-12-20 11:05:38 EST
ipmitool-1.8.12-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.